<main>
	<%- include('../partials/donorSidebar') %>
	
	<div id="main-wrapper">
		
		<div class="bg-white shadow-sm p-3">
			<span class="me-3" id="sidebar-toggler-btn"><i class="fas fa-bars"></i></span>
			<h5 class="m-0 color-theme d-inline-block">Pending Donations</h5>
		</div>
		
		<div class="m-4">
			<% for(let i=0; i<pendingDonations.length; i++) { %>
				<div class="bg-white mb-4 p-4 shadow-sm">
					<div class="mb-2">
						<span>Blood type:</span>
						<span><%= pendingDonations[i].foodType %></span>
					</div>
					
					<div class="mb-2">
						<span>Quantity:</span>
						<span><%= pendingDonations[i].quantity %></span>
					</div>
					
					<div class="mb-2">
						<span>Address given:</span>
						<span><%= pendingDonations[i].address %></span>
					</div>
					
					<div class="mb-2">
						<span>Phone given:</span>
						<span><%= pendingDonations[i].phone %></span>
					</div>
					
					<div class="mb-2">
						<span>Time of donation:</span>
						<span><%= pendingDonations[i].cookingTime.toLocaleString("en-IN", { dateStyle: "medium", timeStyle: "short"}) %></span>
					</div>
					
					<div class="mb-2">
						<span>Status:</span>
						
						<% if(pendingDonations[i].status == "pending") { %>
							<span class="text-pending">Your donation request hasn't been processed yet.</span>
						<% } else if(pendingDonations[i].status == "rejected") { %>
							<span class="text-rejected">Your donation request has been rejected</span>
						<% } else if(pendingDonations[i].status == "accepted") { %>
							<span class="text-accepted">Your donation request has been accepted. Please wait while an agent is being assigned.</span>
						<% } else if(pendingDonations[i].status == "assigned") { %>
							<span class="text-assigned">Your donation request has been accepted and the agent: <%= pendingDonations[i].agent.firstName + " " + pendingDonations[i].agent.lastName %> has been assigned for collecting food from your house.</span>
						<% } %>
					</div>
					
					<% if(pendingDonations[i].status == "rejected") { %>
						<div class="mb-2">
							<a class="btn" href="/donor/donation/deleteRejected/<%= pendingDonations[i]._id %>">Okay</a>
						</div>
					<% } %>
					
				</div>
			<% } %>
		</div>
		
		
		
	</div>
</main>